summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/dialog/TESTS/textbox
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/dialog/TESTS/textbox')
-rwxr-xr-xgnu/usr.bin/dialog/TESTS/textbox42
1 files changed, 42 insertions, 0 deletions
diff --git a/gnu/usr.bin/dialog/TESTS/textbox b/gnu/usr.bin/dialog/TESTS/textbox
new file mode 100755
index 0000000..ed7c2d9
--- /dev/null
+++ b/gnu/usr.bin/dialog/TESTS/textbox
@@ -0,0 +1,42 @@
+#!/bin/sh
+DIALOG=${DIALOG=/usr/bin/dialog}
+
+cat << EOF > /tmp/textbox.tmp.$$
+Hi, this is a text dialog box. It can be used to display text from a file.
+The file should not contain any 'tab' characters, so you should 'expand'
+the file first if it contains 'tab' characters.
+
+It's like a simple text file viewer, with these keys implemented:
+
+PGDN/SPACE - Move down one page
+PGUP/'b' - Move up one page
+DOWN/'j' - Move down one line
+UP/'k' - Move up one line
+LEFT/'h' - Scroll left
+RIGHT/'l' - Scroll right
+'0' - Move to beginning of line
+HOME/'g' - Move to beginning of file
+END/'G' - Move to end of file
+'/' - Forward search
+'?' - Backward search
+'n' - Repeat last search (forward)
+'N' - Repeat last search (backward)
+
+
+The following is a sample text file:
+
+
+EOF
+
+cat ../COPYING | expand >> /tmp/textbox.tmp.$$
+
+$DIALOG --clear --title "TEXT BOX" --textbox "/tmp/textbox.tmp.$$" 22 77
+
+case $? in
+ 0)
+ echo "OK";;
+ 255)
+ echo "EXIT choosed.";;
+esac
+
+rm -f /tmp/textbox.tmp.$$
OpenPOWER on IntegriCloud